> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue a server group start

> Persist one queued server start for a server group that will be executed by the reconciler on the next tick



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json post /v0/server-groups/start-queue
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/server-groups/start-queue:
    post:
      tags:
        - server-groups
      summary: Queue a server group start
      description: >-
        Persist one queued server start for a server group that will be executed
        by the reconciler on the next tick
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.QueueServerGroupStartRequest'
        description: Server group start queue request
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.QueueServerGroupStartResponse'
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.QueueServerGroupStartRequest:
      description: Request to enqueue one server start for a server group
      properties:
        server_group_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        server_group_name:
          example: lobby
          type: string
      type: object
    models.QueueServerGroupStartResponse:
      description: Response for enqueueing a server group start
      properties:
        message:
          example: Server start queued successfully
          type: string
        queued_starts:
          example: 3
          type: integer
        server_group_id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        server_group_name:
          example: lobby
          type: string
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object

````